\version "2.22.0"

\include "persian-smufl-init.ly"
\include "mehrBody.ly"

#(set-global-staff-size 24)

\header {
  title = \markup{\override #'(font-size . 6) "Tasnif Mehr" }
  tagline = \markup{\teeny "Transcribed by Kees van den Doel, 2009"   }
  %%  composer = \markup{\override #'(font-size . 6) ""   }
}

\paper {
  ragged-last-bottom = ##f
  last-bottom-spacing.padding = 1 \cm
  %page-count = 4
}

\score {
  \piece
  \layout {
    \context {
      \Staff 
      \RemoveAllEmptyStaves
    }
    \context {
      \Score
      \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/8)
      \override SpacingSpanner.shortest-duration-space  = #2
      \override SpacingSpanner.spacing-increment  = #.9
    }
  }
}

% {
\score {
  \unfoldRepeats \piece
  \midi { 
    %% to give each voice a channel rather than each staff
    \context {
      \Staff
      \remove "Staff_performer"
    }
    \context {
      \Voice
      \consists "Staff_performer"      
    }
  }
}
%}
