\version "2.22.0"

\include "persian-smufl-init.ly"

%%%%%%%%%%%%%%%%%%%%%%%%%
%% Daramad
%%%%%%%%%%%%%%%%%%%%%%%%%

\header {
  title =
    \markup \center-column { "Vocal radif according to Karimi" "Dastgah Shur" }
  composer =  "Karimi"
}

daramad = \relative c' {
  \cadenzaOn
  \set Staff.keyAlterations = \shurD

  \tempo 4 = 84
  d1\f \teeny c16 \pp \normalsize  d1\f \teeny c16 \pp \normalsize d8\f  r2
  fv2~ fv8[ ek8..] d16 \grace { ek8 } d16 \grace { fv16 }
  d4 ek d8. c16[ \grace { fv16 } c16] \grace { fv16 } c4
  d4 \teeny c16\pp \normalsize d4.\f r8 r2

  \bar "" \break

  g4 fv2~fv8 ek16 \grace { fv16 } ek16 \grace { fv16 } ek8[ \teeny d16\pp]
  \normalsize fv4~\f fv16[ ek8.] d16 \grace { fv16 } d16 \grace { fv16 } d4 ek
  \teeny d8\pp \normalsize  r8\f r2

  fv2~ fv16[ ek8] d16 \grace { fv16 } d16 \grace { fv16 } d4 ek
  d8. c16[ \grace { fv16 } c16] \grace { fv16} c4 d8. \teeny c16\pp
  \normalsize d4\f r8 r2

  \bar "" \break

  \tuplet 3/2 { r8 \grace { c8 } fv8 ek }  \grace { fv8 } d4.~
  \tuplet 3/2 { d8 fv ek } \grace{ fv8 } d4~ \tuplet 3/2 { d8 ek \teeny d\pp }
  \normalsize fv4.\f g16 \breathe

  fv32[ ek16 \grace { fv16 } ek d \grace{ fv16 } d c \grace{ fv16 } c8] d4
  \teeny c16\pp \normalsize d2.\f r2

  \bar "|."
}

\score {
  \new Staff
    \with { midiInstrument = #"clarinet" }
    \daramad
  \header { piece = "1. Daramad" }
  \layout { }
  %\midi { \tempo 4 = 84 }
}

%%%%%%%%%%%%%%%%%%%%%%%%%
%% Kereshmeh
%%%%%%%%%%%%%%%%%%%%%%%%%

kereshmehMusic = \relative c' {
  \set Staff.keyAlterations = \shurD
  \cadenzaOn

  c16[\f d8 ek16] fv4. ek16[ fv] ek16[ fv32 ek8] \teeny d16[( ek]\pp
  \normalsize  d8)\f d8 r4

  ek16 fv8.~ fv16[ \teeny ek16]\pp \normalsize g32\f fv16 g16. fv4  ek16[ d8 ]
  ek32[ fv16 \grace { g16 } fv] ek[ \grace { g16 } ek d \grace { g16 } d]
  \teeny ek\pp \normalsize d4\f r2

  \bar "|."
}

kereshmehLyrics = \lyricmode {
  ko han sha wad ha me kas - - - rA
  be ru - ze gA - - A - re e rA - - - - - dat
}

\score {
  <<
    \new Staff
      \with { midiInstrument = #"clarinet" }
      \new Voice = "melody" \kereshmehMusic
    \new Lyrics \lyricsto "melody" \kereshmehLyrics
  >>
  \header { piece = "2. Kereshmeh" }
  \layout { }
  %\midi { \tempo 4 = 84 }
}
